commit 4928bab9086d6e9610413f15675babdf5566c5ce
Author: Isaac Dunham <ibid.ag@gmail.com>
Date:   Fri Sep 12 21:19:19 2014 -0700

    Uncruftify: remove __ from uint*_t

diff --git a/src/core/device-tree.cc b/src/core/device-tree.cc
index 5c3d654..fd38b2f 100644
--- a/src/core/device-tree.cc
+++ b/src/core/device-tree.cc
@@ -24,13 +24,13 @@
 __ID("@(#) $Id: device-tree.cc 2521 2013-05-08 13:43:30Z lyonel $");
 
 #define DIMMINFOSIZE 0x80
-typedef __uint8_t dimminfo_buf[DIMMINFOSIZE];
+typedef uint8_t dimminfo_buf[DIMMINFOSIZE];
 
 struct dimminfo
 {
-  __uint8_t version3;
+  uint8_t version3;
   char serial[16];
-  __uint16_t version1, version2;
+  uint16_t version1, version2;
 };
 
 #define DEVICETREE "/proc/device-tree"
diff --git a/src/core/network.cc b/src/core/network.cc
index 134c887..a298d35 100644
--- a/src/core/network.cc
+++ b/src/core/network.cc
@@ -49,9 +49,9 @@ __ID("@(#) $Id: network.cc 2516 2013-02-03 16:43:25Z lyonel $");
 #define SIOCETHTOOL     0x8946
 #endif
 typedef unsigned long long u64;
-typedef __uint32_t u32;
-typedef __uint16_t u16;
-typedef __uint8_t u8;
+typedef uint32_t u32;
+typedef uint16_t u16;
+typedef uint8_t u8;
 
 struct ethtool_cmd
 {
diff --git a/src/core/osutils.cc b/src/core/osutils.cc
index fd19288..f9ce76c 100644
--- a/src/core/osutils.cc
+++ b/src/core/osutils.cc
@@ -496,48 +496,48 @@ string escapecomment(const string & s)
 
 unsigned short be_short(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
-  return ((__uint16_t)(p[0]) << 8) +
-    (__uint16_t)p[1];
+  return ((uint16_t)(p[0]) << 8) +
+    (uint16_t)p[1];
 }
 
 
 unsigned short le_short(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
-  return ((__uint16_t)(p[1]) << 8) +
-    (__uint16_t)p[0];
+  return ((uint16_t)(p[1]) << 8) +
+    (uint16_t)p[0];
 }
 
 
 unsigned long be_long(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
-  return ((__uint32_t)(p[0]) << 24) +
-    ((__uint32_t)(p[1]) << 16) +
-    ((__uint32_t)(p[2]) << 8) +
-    (__uint32_t)p[3];
+  return ((uint32_t)(p[0]) << 24) +
+    ((uint32_t)(p[1]) << 16) +
+    ((uint32_t)(p[2]) << 8) +
+    (uint32_t)p[3];
 }
 
 
 unsigned long le_long(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
-  return ((__uint32_t)(p[3]) << 24) +
-    ((__uint32_t)(p[2]) << 16) +
-    ((__uint32_t)(p[1]) << 8) +
-    (__uint32_t)p[0];
+  return ((uint32_t)(p[3]) << 24) +
+    ((uint32_t)(p[2]) << 16) +
+    ((uint32_t)(p[1]) << 8) +
+    (uint32_t)p[0];
 
 }
 
 
 unsigned long long be_longlong(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
   return ((unsigned long long)(p[0]) << 56) +
     ((unsigned long long)(p[1]) << 48) +
@@ -552,7 +552,7 @@ unsigned long long be_longlong(const void * from)
 
 unsigned long long le_longlong(const void * from)
 {
-  __uint8_t *p = (__uint8_t*)from;
+  uint8_t *p = (uint8_t*)from;
 
   return ((unsigned long long)(p[7]) << 56) +
     ((unsigned long long)(p[6]) << 48) +
